> ## Documentation Index
> Fetch the complete documentation index at: https://inference-docs.cerebras.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List model architectures

<Callout icon="lock" color="#b2b1b1ff" iconType="regular">
  This feature is in [Private Preview](/support/preview-releases). For access or more information, [contact us](https://www.cerebras.ai/contact) or reach out to your account representative.
</Callout>

List model architectures accessible to an organization.


## OpenAPI

````yaml get /management/v1/orgs/{org_name}/models
openapi: 3.1.0
info:
  title: Endpoint Management Orchestrator API
  version: 1.0.0
servers:
  - url: https://api.cerebras.ai
security:
  - BearerAuth: []
paths:
  /management/v1/orgs/{org_name}/models:
    get:
      summary: List model architectures
      operationId: get_model_archs_by_org_route_management_v1_orgs__org_name__models_get
      parameters:
        - name: org_name
          in: path
          required: true
          schema:
            type: string
            description: >-
              Cerebras customer management organization name found under
              `Management API keys` on the `API keys` page at
              https://cloud.cerebras.ai.


              Note: This is not to be confused with `org_id`.
            title: Org Name
          description: >-
            Cerebras customer management organization name found under
            `Management API keys` on the `API keys` page at
            https://cloud.cerebras.ai.


            Note: This is not to be confused with `org_id`.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelArchIdListResponse'
              example:
                model_architectures:
                  - gpt-oss-120b
                  - qwen-2.5-32b
                  - deepseek-r1-distill-llama-70b
components:
  schemas:
    ModelArchIdListResponse:
      properties:
        model_architectures:
          items:
            type: string
          type: array
          title: Model Architectures
          description: List of model architecture IDs.
      additionalProperties: false
      type: object
      required:
        - model_architectures
      title: ModelArchIdListResponse
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Management API key generated from the `Management API keys` section on
        the `API keys` page at https://cloud.cerebras.ai. Use the format:
        `Bearer <MANAGEMENT_API_KEY>`

````